### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
ForwardOptionArguments< ArgumentsType > Class Template Reference

Arguments for forward (strike-resetting) option calculation More...

`#include <ql/instruments/forwardvanillaoption.hpp>`

Inherits ArgumentsType.

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

Real | moneyness
Date | resetDate

## Detailed Description

### template<class ArgumentsType>
class QuantLib::ForwardOptionArguments< ArgumentsType >

Arguments for forward (strike-resetting) option calculation